<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateWebsitePhotoTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('website_photos', function (Blueprint $table) {
            $table->id();

            $table->string('url',250);
            $table->string('image',200);

            $table->bigInteger('website_category_id')->unsigned()->nullable();
            $table->foreign('website_category_id')->references('id')->on('website_categories')->onDelete('cascade')->onUpdate('cascade');

            // Set engine to InnoDB it's useful in join and constraint
            $table->engine = 'InnoDB';

        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('website_photos');
    }
}
